Class | Magick::Geometry
In: | lib/RMagick.rb
Parent: | Object

### Methods

from_s new to_s

### Constants

FLAGS | = | ['', '%', '!', '<', '>', '@', '^']
RFLAGS | = | { '%' => PercentGeometry, '!' => AspectGeometry, '<' => LessGeometry, '>' => GreaterGeometry, '@' => AreaGeometry, '^' => MinimumGeometry }
W | = | /(\d+\.\d+%?)|(\d*%?)/ |  | Construct an object from a geometry string
H | = | W
X | = | /(?:([-+]\d+))?/
Y | = | X
RE | = | /\A#{W}x?#{H}#{X}#{Y}([!<>@\^]?)\Z/

### Attributes

flag | [RW] |
height | [RW] |
width | [RW] |
x | [RW] |
y | [RW] |

### Public Class methods

from_s(str)
new(width=nil, height=nil, x=nil, y=nil, flag=nil)

### Public Instance methods

to_s()

Convert object to a geometry string

[Validate]